package com.kitlocate.driving;

import com.kitlocate.periodic.R;
import com.kl.kitlocate.*;
import android.os.Bundle;
import android.app.Activity;
import android.content.Context;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

public class MainActivity extends Activity {
	
	// UI parameters
	TextView txtStatus;
	Button btnStart;
	Button btnStop;
	
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        // "04d62c09-cb8f-4dd1-9bbf-b9b9dfcaa12a" is a free Developer key it works only on examples
        // to create your own Developer key for your App,
        // Access: http://developer.kitlocate.com
        // Free register and create your application,
        // For any problem please don't hesitate: ContactUs@KitLocate.com
        KitLocate.initKitLocate(this, "04d62c09-cb8f-4dd1-9bbf-b9b9dfcaa12a", KitLocateCallbacks.class);
        
        // Init UI Elements
        txtStatus = (TextView)findViewById(R.id.TextStatus);
        btnStart = (Button)findViewById(R.id.ButtonStart);
        btnStop = (Button)findViewById(R.id.ButtonStop);
        
        btnStart.setOnClickListener(new View.OnClickListener() {
			@Override
			public void onClick(View v) 
			{
				Context context = MainActivity.this;
				txtStatus.setText("Register for driving location");
				// Register for periodic location
				KLLocation.registerDrivingDetection(context);
			}
		});
        
        btnStop.setOnClickListener(new View.OnClickListener() {
			@Override
			public void onClick(View v) 
			{
				Context context = MainActivity.this;
				txtStatus.setText("Unregister for driving location");
				// Unregister for periodic location
				KLLocation.unregisterDrivingDetection(context);
			}
		});
        
    }
    
    @Override
	public void onStop()
	{
		super.onStop();
		// Call KitLocate onActivityStop
		KLApplication.onActivityStop(this);
	}
        
	@Override
	public void onStart()
	{
		super.onStart();
		// Call KitLocate onActivityStart
		KLApplication.onActivityStart(this);
	}
	
	@Override
	public void onResume()
	{
		super.onResume();
		KLApplication.onActivityResume(this);
		
		if(KLGeneralUtilities.checkLocationProvidersEnabledAndAlertMessageIfNeeded(this, false, false))
		{
			txtStatus.setText("Working properly v" + KLConstants.KL_VERSION);
		} else {
			txtStatus.setText("Not Working properly");
		}
	}
}
